Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1046553 - debuginfo-install never should install dependencies
Summary: debuginfo-install never should install dependencies
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: yum-utils
Version: 19
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-26 05:31 UTC by John Reiser
Modified: 2015-02-17 19:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 19:47:12 UTC
Type: Bug


Attachments (Terms of Use)

Description John Reiser 2013-12-26 05:31:32 UTC
Description of problem: The utility program debuginfo-install processes and installs "debuginfo dependencies" of the corresponding non-debuginfo package.  However, it is logically impossible for any *-debuginfo package to have actual dependencies!  The debuginfo of the programs and shared libraries in a package depends only on the package itself, and never on any dependencies of the package.  Installing those extra "dependent" *-debuginfo packages may take a lot of time and resources.  This is at least annoying, and often wasteful of time and space.


Version-Release number of selected component (if applicable):
yum-utils-1.1.31-18.fc19.noarch


How reproducible: Every time.


Steps to Reproduce:
1. debuginfo-install pcre-8.32-7.fc19.x86_64
2.
3.

Actual results:
Dependencies Resolved

=============================================================================
 Package                  Arch    Version           Repository          Size
=============================================================================
Installing:
 gcc-debuginfo            x86_64  4.8.2-7.fc19      updates-debuginfo  217 M
 glibc-debuginfo          x86_64  2.17-20.fc19      updates-debuginfo  9.2 M
 pcre-debuginfo           x86_64  8.32-7.fc19       fedora-debuginfo   1.0 M
 yum-plugin-auto-update-debug-info
                          noarch  1.1.31-18.fc19    updates             22 k
Installing for dependencies:
 gcc-base-debuginfo       x86_64  4.8.2-7.fc19      updates-debuginfo  2.7 M
 glibc-debuginfo-common   x86_64  2.17-20.fc19      updates-debuginfo  8.5 M

Transaction Summary
=============================================================================
Install  4 Packages (+2 Dependent packages)

Total download size: 238 M
Installed size: 1.1 G

{Notice the dependencies which account for about 99.5% of the size!  Those dependencies are irrelevent and unnecessary for running gdb/addr2line/etc on the programs and shared libraries of the pcre package.}

Expected results:
Installing:
 pcre-debuginfo           x86_64  8.32-7.fc19       fedora-debuginfo   1.0 M
Total download size:  1 M
Installed size: 4 M

{Notice no dependencies!}

Additional info:

Comment 1 Fedora End Of Life 2015-01-09 20:57:41 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2015-02-17 19:47:12 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.